Subject: bug#40614: 28.0.50; [feature/native-comp] straight.el fails to inject :straight keyword handler into use-package when use-package is native-compiled

From: Andrea Corallo <[email-masked]>
Date: Sun, 19 Apr 2020 17:45:47 +0000

Ihor Radchenko <[email-masked]> writes:

>
> Sure. Though I plan to move the native-compile branch to my system
> installation. Deferred compilation of built-in packages will not be easy
> there, unless I run Emacs as root.
>
> Speed is actually not so big issue (at least to compile the built-in
> elisp). The problem was that I tried to run make -j3 -> make -j2 -> make
> -j1 hoping that less native-compilation processes would use less
> memory. Everything, including make -j1 failed eventually and took a long
> time because of using swap. Not sure what I can do for reducing memory
> usage.

I mean you can compile at speed 0, it requires a fraction of the memory
required at speed 2.  You can even used that only to complete the
compilation that failed.  In .gitlab-ci.yml we have examples on how to
the speed can be controlled while building.

-- 
[email-masked]